1

Совместимость GrdTRU и SDK различных версий

Здравствуйте!

C каждой версией SDK поставляется своя версия утилиты удаленного обновления GrdTRU. Подскажите пожалуйста, совместимы ли между собой утилиты grdutil.exe и GrdTRU.exe от различных версий SDK (например, 6.3, 6.31, 7.0  u1, 7.0 u2, 7.0 u3)?

Подразумевается, что все версии SDK устанавливаются с одинаковыми кодами разработчика.

Имеется ввиду, например, такая ситуация: разработчик обновил SDK с версии 6.3 на 7.0, а у пользователя осталась GrdTRU от версии 6.3.

На практике оно вроде бы все работает нормально.

Стоит ли беспокоится об обновлении утилиты GrdTRU у конечного пользователя или обратная совместимость поддерживается официально?

С уважением, Владимир

2

Re: Совместимость GrdTRU и SDK различных версий

Добрый день. Теоретически совместимость есть. От версии к версии утилита GrdTRU.exe принципиально не изменилась. Изменения, в основном, направлены на исправление мелких ошибок. Наши разработчики рекомендуют брать утилиту удаленного доверенного обновления из тоже комплекта SDK, с которым проводилась защита, но также допускается использование утилит удаленного доверенного обновления из разных комплектов. Однако, обновлять утилиту доверенного обновления, находящуюся у пользователя, при условии ее корректной работы, нет смысла. Более новые версии утилиты не тестируются на совместимость с устаревшими операционными системами.

3

Re: Совместимость GrdTRU и SDK различных версий

Спасибо за ответ.